from typing import List
from spatz.dataset import Dataset, List
from spatz.logger import Logger
from spatz.sensors.compound import CompoundSensor
from spatz.sensors.imu import Accelerometer, Gyroscope
from spatz.sensors.sensor import Sensor
from spatz.transforms import Transform


class IMU(CompoundSensor):
    def __init__(self, 
                 dataset: Dataset, 
                 logger: Logger, 
                 acc: Accelerometer, 
                 gyro: Gyroscope,
                 transforms: List[Transform] = []):
        """_summary_

        Args:
            dataset (Dataset): _description_
            logger (Logger): _description_
            acc (Accelerometer): _description_
            gyro (Gyroscope): _description_
            transforms (List[Transform], optional): _description_. Defaults to [].
        """
        super().__init__(dataset, logger, [acc, gyro], transforms)
